curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"calendar_preference": {
"integration": "google_calendar",
"override_calendars": true,
"event_add_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
],
"override_conflict_check_calendars": true,
"conflict_check_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
],
"busy_statuses": null,
"override_event_layout": true,
"summary_type": "client_and_host",
"custom_summary": null,
"body": null,
"event_color": null,
"available_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
]
}
}Get calendar preferences
Get a scheduling link’s calendar settings for one calendar integration. The response also lists the host’s calendars in available_calendars, so you can pick calendar IDs for the Update calendar preferences endpoint.
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/calendar-preferences/{integration}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"calendar_preference": {
"integration": "google_calendar",
"override_calendars": true,
"event_add_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
],
"override_conflict_check_calendars": true,
"conflict_check_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
],
"busy_statuses": null,
"override_event_layout": true,
"summary_type": "client_and_host",
"custom_summary": null,
"body": null,
"event_color": null,
"available_calendars": [
{
"id": "70232544-0b90-4ddd-801d-b9f53c3fff3c",
"name": "Work",
"is_primary": true,
"is_editable": true
}
]
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The unique identifier (SID) of the scheduling link you want to use. You can get sid in different ways. Visit the scheduling link page and then click on "Settings" > "Show SID". That will give you sid. You can also get this from the response of the List scheduling links endpoint, where it appears as the sid property for each scheduling link in the response.
"vj5pgkh"
The calendar integration whose settings you want to use.
google_calendar, outlook, icloud "google_calendar"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
The calendar integration these settings apply to.
google_calendar, outlook, icloud "google_calendar"
Whether bookings of this scheduling link are added to event_add_calendars instead of the calendars the host picked in their own calendar integration settings.
The calendars booking events are added to when override_calendars is true, in order.
Hide child attributes
Hide child attributes
Unique identifier of the calendar. Use it in event_add_calendar_ids and conflict_check_calendar_ids.
"70232544-0b90-4ddd-801d-b9f53c3fff3c"
Name of the calendar.
"Work"
Whether this is the primary calendar of the connected account.
Whether events can be added to this calendar. Read-only calendars can be checked for conflicts, but cannot be used in event_add_calendar_ids.
Whether this scheduling link checks conflict_check_calendars for conflicts instead of the calendars the host checks in their own calendar integration settings.
The calendars checked for conflicts when override_conflict_check_calendars is true.
Hide child attributes
Hide child attributes
Unique identifier of the calendar. Use it in event_add_calendar_ids and conflict_check_calendar_ids.
"70232544-0b90-4ddd-801d-b9f53c3fff3c"
Name of the calendar.
"Work"
Whether this is the primary calendar of the connected account.
Whether events can be added to this calendar. Read-only calendars can be checked for conflicts, but cannot be used in event_add_calendar_ids.
Outlook only. The Outlook event statuses that block a slot. null for the other integrations.
tentative, busy, oof, workingElsewhere null
Whether this scheduling link uses its own event title and description instead of the host's. Always true for group scheduling links.
How the calendar event title is built. custom uses custom_summary.
host_and_client, client_and_host, meeting_name, custom "client_and_host"
The event title used when summary_type is custom.
null
The event description (HTML). null uses the default description.
null
Google Calendar only. The event color as a hex code. null uses the default color.
null
The host's calendars for this integration that can be used in event_add_calendar_ids and conflict_check_calendar_ids. Empty for scheduling links that are not one-on-one, and when the host has not connected an account for this integration.
Hide child attributes
Hide child attributes
Unique identifier of the calendar. Use it in event_add_calendar_ids and conflict_check_calendar_ids.
"70232544-0b90-4ddd-801d-b9f53c3fff3c"
Name of the calendar.
"Work"
Whether this is the primary calendar of the connected account.
Whether events can be added to this calendar. Read-only calendars can be checked for conflicts, but cannot be used in event_add_calendar_ids.